Bug 832237 - fedora 17 install DVD fails to start X on PowerMac G5 + Geforce 5200
fedora 17 install DVD fails to start X on PowerMac G5 + Geforce 5200
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
17
ppc64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-14 19:55 EDT by Frederik Hertzum
Modified: 2013-07-31 17:50 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 17:50:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of dmesg from an SSH session on the machine (102.38 KB, text/plain)
2012-06-17 16:44 EDT, Frederik Hertzum
no flags Details

  None (edit)
Description Frederik Hertzum 2012-06-14 19:55:56 EDT
Description of problem:
When trying to boot the fedora 17 installer on a PowerMac G5 (dual processor 1.8GHz, pci-x model) the monitor signal is turned off as soon as X is started.

How reproducible:
Always

Steps to Reproduce:
1. Boot the fedora 17 install DVD and wait.

Actual results:
Blank screen

Expected results:
Anaconda waiting for me to tell it what to do next.

Additional info:

The graphics card has two DVI ports -- only one monitor is attached (I have no way to try the other port since I lack a compatible cable).

This has been a problem for all the Fedora 17 install media (Alpha, Beta).
Comment 1 Ben Skeggs 2012-06-14 20:15:12 EDT
Do you see the high-res console before X is supposed to start?  Are you able to ssh in and collect the dmesg output at all?
Comment 2 Frederik Hertzum 2012-06-17 16:44:45 EDT
Created attachment 592472 [details]
Output of dmesg from an SSH session on the machine
Comment 3 Frederik Hertzum 2012-06-17 16:45:49 EDT
Everything but X seems to be working fine -- ssh works just great.
Comment 4 Frederik Hertzum 2012-06-18 14:30:27 EDT
> Everything but X seems to be working fine -- ssh works just great.
That is, everything is working great untill X starts up -- as soon as X starts the monitor dies.(In reply to comment #3)

The console appears as expected and booting works with no real issues.
Comment 5 str8bslinux 2013-02-10 17:38:55 EST
Workaround - Disable "phantom" port TV-1

Append kernel parameters at boot:
linux video=TV-1:d
or
linux nouveau.tv_disable=1

Using Fedora-18-ppc64-DVD.iso. Apple G5 1.6 Nvidia FX 5200 connected via DVI(DVI-I-2) to VGA. Nothing connected to "ADC" connector (DVI-I-1)
Comment 6 Fedora End Of Life 2013-07-03 17:04:07 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-07-31 17:50:37 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.